org.eclipse.microprofile.reactive.messaging

## Annotation Type OnOverflow

    @Retention(value=RUNTIME)
     @Target(value={METHOD,CONSTRUCTOR,FIELD,PARAMETER})
    public @interface OnOverflow

Configures the back pressure policy on an injected `Emitter`:

     {
         @code
         @Channel("channel")
         @OnOverflow(value = OnOverflow.Strategy.BUFFER, bufferSize = 256)
         Emitter<String> emitter;
     }

When not used, a `OnOverflow.Strategy.BUFFER` strategy is used with a buffer limited to 128 elements.

### Required Element Summary

Required Elements
`OnOverflow.Strategy` `value`

### Optional Element Summary

Optional Elements
`long` `bufferSize`

### Element Detail

#### value

    public abstract OnOverflow.Strategy value

Returns:
  the name of the strategy to be used on overflow.

#### bufferSize

    public abstract long bufferSize

Returns:
  the size of the buffer when `OnOverflow.Strategy.BUFFER` is used. If not set and if the `OnOverflow.Strategy.BUFFER` strategy is used, the buffer size will be defaulted to the value of the config property mp.messaging.emitter.defult-buffer-size.

Default:
  0L